Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class SearchControler

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.SearchControler

    public class SearchControler

extends java.lang.Object

SearchControler
Classe permettant d'encapsulers les accès à la base de données dans des transactions
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.4 $
Author:
  Mathieu Larchet

Constructor Summary
`SearchControler()`

Method Summary
`void` | `close()` Ferme la connexion courante
`void` | `commit()` Commit la transaction
`java.util.List` | `getCustomDocuments(java.lang.String intranet, java.lang.String type, java.lang.String description)` Retourne les documents correspondants aux critères de recherche
`java.util.List` | `getInvalidDocuments(java.lang.String intranet)` Retourne la liste des documents en attente de validation
`java.util.List` | `getLastDocuments(java.lang.String intranet, int count)` Retourne les n derniers documents d'un intranet
`java.util.List` | `getPerimedDocuments(java.lang.String intranet)` Retourne la liste des documents en attente de validation
`void` | `rollback()` Rollback la transaction

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchControler

    public SearchControler()

Method Detail

### close

    public void close()

  Ferme la connexion courante

### commit

    public void commit()

  Commit la transaction

### rollback

    public void rollback()

  Rollback la transaction

### getInvalidDocuments

    public java.util.List getInvalidDocuments(java.lang.String intranet)
                                       throws DataException

  Retourne la liste des documents en attente de validation

  Parameters:
    `intranet` - L'identifiant de l'intranet
  Returns:
    docs La liste des documents
  Throws:
    `DataException`

### getPerimedDocuments

    public java.util.List getPerimedDocuments(java.lang.String intranet)
                                       throws DataException

  Retourne la liste des documents en attente de validation

  Parameters:
    `intranet` - L'identifiant de l'intranet
  Returns:
    docs La liste des documents
  Throws:
    `DataException`

### getLastDocuments

    public java.util.List getLastDocuments(java.lang.String intranet,
                                           int count)
                                    throws DataException

  Retourne les n derniers documents d'un intranet

  Parameters:
    `intranet` - L'identifiant de l'intranet
    `count` - Le nombre de documents à retourner
  Returns:
    docs La liste des documents
  Throws:
    `DataException`

### getCustomDocuments

    public java.util.List getCustomDocuments(java.lang.String intranet,
                                             java.lang.String type,
                                             java.lang.String description)
                                      throws DataException

  Retourne les documents correspondants aux critères de recherche

  Parameters:
    `intranet` - L'identifiant de l'intranet
    `type` - Le type de document (F, L ou %)
    `description` - Le template de description (%template% ou %)
  Returns:
    docs La liste des documents
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD